<?php
// Load the stamp and the photo to apply the watermark to
$stamp = imagecreatefrompng("fb_button.png");
$img = imagecreatefromjpeg("blue_hills.jpg");
// Set the margins for the stamp and get the height/width of the stamp image
$margin_right = 50;
$margin_bottom = 50;
$sx = imagesx($stamp);
$sy = imagesy($stamp);
// Copy the stamp image onto our photo using the margin offsets and the photo 
// width to calculate positioning of the stamp. 
imagecopy($img, $stamp, imagesx($img) - $sx - $margin_right, imagesy($img) - $sy - $margin_bottom, 0, 0, imagesx($stamp), imagesy($stamp));
// Output and free memory
$tmp_pic = uniqid("img_", true) . ".png";
if(imagepng($img, $tmp_pic))
{
 $status = true;
}
else
{
 $status = false;
}
imagedestroy($img);
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
<title>Watermark Sample</title>
</head>
<body>
 <h2><?php echo($status ? "Success" : "Failure");?></h2>
 <img src="<?php echo($tmp_pic);?>" alt="Watermark Image"> 
</body>
</html>
